Subject: Re: [spf:guess,iffy] Re: [spf:guess] Re: [PATCH] Teach dcommit --mergeinfo to handle multiple lines

From: Sam Vilain <[email-masked]>
Date: Wed, 31 Aug 2011 15:15:09 -0700

On 8/31/11 1:51 PM, Bryan Jacobs wrote:
> ...I didn't create the original --mergeinfo interface. I was very 
> surprised when I first discovered it clobbered instead of integrating 
> - it's easy to nuke your SVN repo's ability to merge with one careless 
> use of this option. See below.
>> But so long as it makes something previously impossible possible, it
>> is a good change - my feeling is that it should be called something
>> like --mergeinfo-raw or --mergeinfo-set to leave room for a possible
>> --mergeinfo-add which knows how the lists work and adds them (which
>> is what I'd expect a plain --mergeinfo switch to do).
> I completely agree. I think there should at least be a
> --mergeinfo-update which fetches the current revision, merges that with
> the provided set using the branch paths as keys (and compacts using
> svn:mergeinfo rules), and sets the property to the final result.
>
> I actually do this currently with external scripts, which is why I
> wanted to make --mergeinfo capable of delivering my final payload. It
> would make my life easier if all the logic were part of git-svn instead.
>
> That said, this change is really small. That change would be larger.
> So I submitted this first.
>

Ok, well I guess this is a useful intermediate feature then.  Feel free 
to copy in any further changes you may come up with in this area to me, 
if you decide to do that.

Cheers,
Sam